

                        CONTENTS
                        ========

Chapter 1.  Introduction ...................................1

    1-1 An Introduction to the INDPORT Card ................1

    1-2 Hardware specifications ............................1

    1-3 Software specifications ............................2

Chapter 2. Configuring Hardware ............................3

    2-1 System Components ..................................3

    2-2 Installation Procedures ............................3

    2-3 Hardware Configuration .............................3

    2-4 Serial Interface Connection ........................4

Chapter 3. Windows NT Installation .........................5

Chapter 4. Windows 95/98 Installation ......................6


APPENDIX. A.    Pin Assignments and Cable Wiring ...........7

APPENDIX. B.    RS422/485 isolated Port user guide .........10

                        ---1---

                  -----Chapter 1-----
                     Introduction

1-1. An introduction to the INDPORT card

  P518 and P514 card are enhanced eight port and four port card which are
suitable to PC AT with PCI bus machine.P518 and P514 card can reduce
the interval for serial communication controller to interrupt main
CPU (MPU) on the mainboard to improve the whole system performance.

  The P518 card is made up of two parts:
1) P518 interface card:
       P518 interface card includes an PGA to support the serial
   communication controller and a 62 pin connector to connect external
   I/O port.

2) Expansion cable:
       This expansion cable have eight standard DB25 connectors and one
   DB62 connector to connect P518 interface card.

  The P514 card is made up of two parts:
1) P514 interface card:
       P514 interface card includes an PGA to support the serial
   communication controller and a 37 pin connector to connect external
   I/O port.

2) Expansion cable:
       This expansion cable have four standard DB25 connectors and one
   DB37 connector to connect P514 interface card.

   For a PC AT Windows NT/95/98 system, we can install up to 8 pcs P518 or
P514 card, and support up to 64 or 32 users.

   Traditionally, serial communication controller will interrupt MPU
character by character. This action will waste MPU processing time
and drop the system computation power. If the MPU is processing some
non-interruptted task, then serial controller may be overrun and data lost.
INDPORT card can support 16 bytes buffer capability in each port's transmit
and receive channel simultaneously. This capability will reduce the number
of interrupt to MPU and increase the non-interruptted task's interval.

1-2. Hardware specification
 *serial communication controller:
        16C550A compatible.
        1.8432MHz crystal. (can be used upto 7.3728MHz)

 *I/O Port: ------- RS232C compatible. (Port A/B/C in P514 card)
                                       (Port A/B/C/D/E/F/G in P518 card)
                    isolated RS422/RS485 interface. (Port D in P514 card)
                                       (Port H in P518 card)

 *Interrupt Control: ------ Plug & Play to be assigned by PCI BIOS. Each card
                            must have one IRQ to be assigned. But multi-card
                            can share the same IRQ.

                        ---2---

 *I/O map: -------- Plug & Play to be assigned by PCI BIOS.

 *Flow control  --- Xon/Xoff control or RTS/CTS control.

 *Baud Rate:
     can be software programmable upto 112KBps for 1.8432MHz crystal
                  or 448KBps for 7.3728MHz crystal.

 *Connector  ------ Expansion cable can support DB25 male connectors.
                    (Or user can prepare their pin definition and connector
                     type by themself.)
        P518 card: DB62 female connector.
        P514 card: DB37 female connector.

 *Environment ----- PC/AT with PCI bus machine.


NOTE: some PCI motherboard may have wrong operation in P&P interrupt mode.
      User may set the IRQ in ISA legacy mode and not P&P mode. You must
      confirm that minimum one IRQ is left to be assigned by P&P mode. If
      you do not have any IRQ left, you may have wrong operation in INDPORT
      card.

1-3 Software specification:
 *Operating system  -----can support
                         Windows NT
                         Windows 95
                         WINDOWS 98
                         other operating system.

                        ---3---

                        Chapter 2.
                Configuring the Hardware

2-1 System components
  An P518 card system includes following components:
*One P518 PCI interface card.
*One 62pin Expansion Cable to support eight DB25 connector.
*User manual.

  An P514 card system includes following components:
*One P514 PCI interface card.
*One 37pin Expansion Cable to support four DB25 connector.
*User manual.

2-2 Installation Procedures
  One P518 or P514 card needs a 5V 33MHz PCI system expansion slot.

  The installation procedures are as follows:
(1) Turn off the power switch of your system.
(2) check the DIP switch 1--3 to select the proper card number assigned.
(3) check the DIP switch 4 to select the proper RS422/RS485 interface.
(4) Plug the P518 or P514 interface card to system expansion slot.
(5) Connect the 62pin(37pin) cable to P518(P514) interface card.
(6) Turn on the system power.
(7) Start up the operating system.
(8) execute the INDPORT card software installation procedure.

WARNING: You should not insert or remove the P518/P514 card from the system
         while power is on.

2-3 Hardware Configuration
*In INDPORT card we have following DIP switch to set
 (1) DIP switch 1--3:
     These three bits of DIP switch are used to select the card number
     assigned. User can set from ON-ON-ON to OFF-OFF-OFF for card 1 to
     card 8. User card check the mapping in INDPORT card. Because INDPORT
     will be assigned I/O mapping and IRQ mapping by PCI BIOS. We can install
     upto eight cards in each system. We need to fix the COM port number for
     each card. So it is very important for us to assigned the card number
     in each card.

 (2) DIP switch 4:
     This bit will set PORT D in P514 card and PORT H is P518 card to be
     RS422 (ON) interface or RS485 (OFF) interface.

 (3) JP1 (RXD) & JP2 (CTS) in P518 card and JP2 (RXD) & JP3 (CTS) in P514
     card can turn on (off) the terminator resistor for RS422/485 interface.
     Generally  we may turn on in RS422 interface usage. In RS485 interface
     we may just turn on in the card located in end point.

                        ---4---


2-4 Serial I/O port connection for RS232 port:
  (1) Local terminal connection:
       DB25 male connector                   Terminal connector
  -----------------------                -----------------------
      Pin No.   | Signal                   Pin No.  |  Signal
  -----------------------                -----------------------
         1      | F.G.   <---------------->   1     | F.G.
         2      | TXD     ---------------->   3     | RXD
         3      | RXD    <-----------------   2     | TXD
         4      | RTS     ---------------->   4     | CTS
         5      | CTS    <-----------------   5     | RTS
         6      | DSR    <--+--------------   20    | DTR
         7      | S.G.   <--|------------->   7     | S.G.
         8      | DCD    <--|          +-->   8     | DCD
         20     | DTR    --------------|-->   6     | DSR
  -----------------------                -----------------------

  (2) Remote terminal connection:
       DB25 male connector                    MODEM connector
  -----------------------                -----------------------
      Pin No.   | Signal                   Pin No.  |  Signal
  -----------------------                -----------------------
         1      | F.G.   <---------------->   1     | F.G.
         2      | TXD     ---------------->   2     | TXD
         3      | RXD     <---------------    3     | RXD
         4      | RTS     ---------------->   4     | RTS
         5      | CTS     <---------------    5     | CTS
         6      | DSR     <---------------    6     | DSR
         7      | S.G.   <---------------->   7     | S.G.
         8      | DCD    <-----------------   8     | DCD
         20     | DTR    ----------------->   20    | DTR
  -----------------------                -----------------------

  (3) special DB9 connector:
       DB9 male connector
  -----------------------
      Pin No.   | Signal
  -----------------------
         1      | DCD (in)
         2      | RXD (in)
         3      | TXD (out)
         4      | DTR (out)
         5      | GND
         6      | DSR (in)
         7      | RTS (out)
         8      | CTS (in)
  -----------------------

Note: Standard INDPORT card can support three or seven RS232 interface and
      one extra RS422/485 interface. User can check Appendix B to know the
      usage of that port.

                        ---5---

                        Chapter 3
                Windows NT Installation

3-1 Driver Installation

  Once Windows NT system has been started, login using an account with
administrative rights.
  a) Start the [Control Panel] applet by double clicking its icon in the
     [Program Managers] main group.

  b) In the [Control Panel] applet, double click [Network] icon to bring
     up the Network Control Panel Applet(NCPA).

  c) Within the NCPA, select the [Add Adaptor] button. A list of possible
     adaptors should be displayed. Go to the end of this list and select
        '<Other> Requires disk from manufacturer'

  d) When prompted for the path, specify the drive and directory where the
     NCPA can find the new driver for the card you installed.

  For Example, we need to install P514 card.  We may specify as follow:

        a:\nt4\pci514

  For P518 card we may input

        a:\nt4\pci518

  e) Now, you can follow the configuration dialog boxes to finish the
     PCIPORT card's driver. The important thing is to let COM port number
     no confliction with other card.

3-2 Note for multi-PCIPORT card installation.

  a) We can install upto eight P518 and eight P514 cards in one NT system.

  b) When we need to install two same type INDPORT cards in one NT system,
     we must confirm to let each card's DIP switch setting have different
     card number.

  c) The card with small card number will have low COM port number. The card
     with larger card number will have higher COM port number to follow the
     card with small card number.

  d) If user install two INDPORT cards with same card number setting,
     we can not confirm that both card will active properly.

  e) If user install P518 and P514 card in one NT system simultaneously.
     please confirm that the COM port number assigned do not have overlap.
     User may need to confirm the COM port number assigned for each card
     must be not overlapped. Or you may have inproperly operation in your
     NT system.

  f) For easy to maintain one NT system's COM port number we suggest that
     user must set the DIP swtich to card number 1 for the first card to be
     installed in one NT system.

                        ---6---

                        Chapter 4
                Windows 95/98 Installation

3-1 Driver Installation

  Once Windows 95/98 system has been started, the Plug & Play function in
95/98 system will find the new INDPORT card. If this is the first time
to install INDPORT card in your 95/98 system, you will be informed to
install the driver. Please follow the instruction message to input the
COM port number start value for each card.

  Because the resource will be assigned by PCI BIOS. It is not easy to check
which card is first card or secong card from resource. So we have one DIP
switch in each card to set the first card or second card for this INDPORT
card. THen we can fix the COM port number for each card. This is very
important for INDPORT card. Traditionly, we check the resource in each card
to confirm the card number. Use this rule we can assign the COM port number
for each card. But in PCI bus all the resource for each card is assigned by
PCI BIOS in power on procedure. So it is not easy for us to confirm the COM
port number for each card. Then it is not easy to maintain the application
environment for different time point (You may change your system
configuration due to add extra new card. This may change your PCI system's
resource condition). So our DIP switch to assign card number is very
inportant.

  After you had installed the INDPORT driver, you might be informed to have
new hardware found. But you do not need to install the driver again. Windows
95/98 will add the COM port automatically.

3-2 Note for multi-INDPORT card installation.

  a) We can install upto eight P518 or P514 cards in one 95/98 system.

  b) When we need to install multi INDPORT cards in one 95/98 system,
     we must confirm to let each card's DIP switch to have different card
     number.

  c) The card with different card number setting will have COM port number
     assigned for corresponding card number.

  d) If user install two INDPORT cards with same card number setting,
     we can not confirm that both card will active properly.

  e) If user install P518 and P514 card in one 95/98 system simultaneously,
     please confirm that the COM port number assigned do not have overlap.
     User may need to confirm the COM port number assigned for each card
     must be not overlapped. Or you may have inproperly operation in your
     95/98 system.

  f) For easy to maintain one 95/98 system's COM port number we suggest that
     user must set to card number 1 for the first card to be installed in
     one 95/98 system.

  g) INDPORT card can be used in interrupt shared mode. PCI BIOS will assign
     IRQ for each INDPORT card. For multi-INDPORT application we can just
     share onr IRQ in each card. But user must confirm that one system may
     have minimum one IRQ left for P & P function. If there are no IRQ to
     be assigned to INDPORT card, you may have wrong operation.

                        ---7---

                        Appendix A
                Pin assignements and Cable Wiring

A-1:   DB62 Female Connector Pin assignment in P518 card.
=============================================================================
DB62 Pin | Signal     || DB62 Pin | Signal     || DB62 Pin | Signal
 Number  |  Name      || Number   | Name       ||  Number  | Name
=============================================================================
  1      | TXD1 (Out) ||  22      | TXD2 (Out) ||  43      | TXD3  (Out)
-----------------------------------------------------------------------------
  2      | RXD1 (In ) ||  23      | RXD2 (In ) ||  44      | RXD3  (In )
-----------------------------------------------------------------------------
  3      | RTS1 (Out) ||  24      | RTS2 (Out) ||  45      | RTS3  (Out)
-----------------------------------------------------------------------------
  4      | CTS1 (In ) ||  25      | CTS2 (In ) ||  46      | CTS3  (In )
-----------------------------------------------------------------------------
  5      | DSR1 (In ) ||  26      | DSR2 (In ) ||  47      | DSR3  (In )
-----------------------------------------------------------------------------
  6      | DTR1 (Out) ||  27      | DTR2 (Out) ||  48      | DTR3  (Out)
-----------------------------------------------------------------------------
  7      | DCD1 (In ) ||  28      | DCD2 (In ) ||  49      | DCD3  (In )
-----------------------------------------------------------------------------
  8      | GND 1 & 4  ||  29      | GND 2 & 5  ||  50      | GND 3 & 6
-----------------------------------------------------------------------------
  9      | DCD4 (In ) ||  30      | DCD5 (In ) ||  51      | DCD6  (In )
-----------------------------------------------------------------------------
  10     | DTR4 (Out) ||  31      | DTR5 (Out) ||  52      | DTR6  (Out)
-----------------------------------------------------------------------------
  11     | DSR4 (In ) ||  32      | DSR5 (In ) ||  53      | DSR6  (In )
-----------------------------------------------------------------------------
  12     | CTS4 (In ) ||  33      | CTS5 (In ) ||  54      | CTS6  (In )
-----------------------------------------------------------------------------
  13     | RTS4 (Out) ||  34      | RTS5 (Out) ||  55      | RTS6  (Out)
-----------------------------------------------------------------------------
  14     | RXD4 (In ) ||  35      | RXD5 (In ) ||  56      | RXD6  (In )
-----------------------------------------------------------------------------
  15     | TXD4 (Out) ||  36      | TXD5 (Out) ||  57      | TXD6  (Out)
-----------------------------------------------------------------------------
  16     | TXD7 (Out) ||  37      | RTS7 (Out) ||  58      | DTR7  (Out)
-----------------------------------------------------------------------------
  17     | RXD7 (In ) ||  38      | CTS7 (In ) ||  59      | DCD7  (In )
-----------------------------------------------------------------------------
  18     | GND7       ||  39      | DSR7 (In ) ||  60      | GND8 (isolated)
-----------------------------------------------------------------------------
  19     | 422RXD8+   ||  40      | 422RXD8-   ||  61      | 422CTS8-
-----------------------------------------------------------------------------
  20     | 422RTS8+   ||  41      | 422RTS8-   ||  62      | 422CTS8+
-----------------------------------------------------------------------------
  21     | 422TXD8+   ||  42      | 422TXD8-   ||  xxxx    | xxxx
=============================================================================
****Note: P518 cable will support DB62 connector to eight DB25 male connector.
          P519 cable will support DB62 connector to eight DB9  male connector.

                        ---8---

A-2: DB37 Female Connector Pin assignment in P514 card.
=======================================================
DB37 Pin | P514 card      || DB37 Pin | P514 card
 Number  | Signal Name    || Number   | Signal Nmae
=======================================================
  1      | RXD1 (In )     ||  20      | TXD1 (Out)
-------------------------------------------------------
  2      | CTS1 (In )     ||  21      | RTS1 (Out)
-------------------------------------------------------
  3      | DSR1 (In )     ||  22      | DTR1 (Out)
-------------------------------------------------------
  4      | DCD1 (In )     ||  23      | RI1  (In )
-------------------------------------------------------
  5      | GND            ||  24      | RXD2 (In )
-------------------------------------------------------
  6      | TXD2 (Out)     ||  25      | CTS2 (In )
-------------------------------------------------------
  7      | RTS2 (Out)     ||  26      | DSR2 (In )
-------------------------------------------------------
  8      | DTR2 (Out)     ||  27      | DCD2 (In )
-------------------------------------------------------
  9      | GND            ||  28      | RI2  (In )
-------------------------------------------------------
  10     | GND            ||  29      | RI3  (In )
-------------------------------------------------------
  11     | GND            ||  30      | DCD3 (In )
-------------------------------------------------------
  12     | DTR3 (Out)     ||  31      | DSR3 (In )
-------------------------------------------------------
  13     | RTS3 (Out)     ||  32      | CTS3 (In )
-------------------------------------------------------
  14     | TXD3 (Out)     ||  33      | RXD3 (In )
-------------------------------------------------------
  15     | GND4 (isolated)||  34      | 422RTS4- (Out)
-------------------------------------------------------
  16     | 422CTS4-  (In) ||  35      | 422TXD4- (Out)
-------------------------------------------------------
  17     | 422RXD4-  (In) ||  36      | 422RTS4+ (Out)
-------------------------------------------------------
  18     | 422CTS4+  (In) ||  37      | 422TXD4+ (Out)
-------------------------------------------------------
  19     | 422RXD4+  (In) ||  ----    | ----
=======================================================
****Note: P514 cable will support DB37 connector to four DB25
          male connector.
****Note: P124 cable will support DB37 connector to four DB9
          male connector.

                        ---9---

A-3: DB25/DB9 Male Connector Pin assignment in P518 & P514 card for RS232.
=========================================================
DB25 Pin Number  | DB9 Pin Number   | Signal Name
=========================================================
  2              |       3          | TXD  (Out)
---------------------------------------------------------
  3              |       2          | RXD  (In )
---------------------------------------------------------
  4              |       7          | RTS  (Out)
---------------------------------------------------------
  5              |       8          | CTS  (In )
---------------------------------------------------------
  6              |       6          | DSR  (In )
---------------------------------------------------------
  7              |       5          | GND
---------------------------------------------------------
  8              |       1          | DCD  (In )
---------------------------------------------------------
  20             |       4          | DTR  (Out)
=========================================================

A-4: DB25/DB9 Male Connector Pin assignment in P514 & P518 card for RS422/485.
=========================================================
DB25 Pin Number  | DB9 Pin Number   | Signal Name
=========================================================
  2              |       3          | 422TXD+  (Out)
---------------------------------------------------------
  3              |       2          | 422RXD+  (In )
---------------------------------------------------------
  4              |       7          | 422RTS+  (Out)
---------------------------------------------------------
  5              |       8          | 422CTS+  (In )
---------------------------------------------------------
  7              |       5          | GND
---------------------------------------------------------
  13             |       9          | 422RTS-  (Out)
---------------------------------------------------------
  14             |       6          | 422TXD-  (Out)
---------------------------------------------------------
  16             |       4          | 422RXD-  (In )
---------------------------------------------------------
  19             |       1          | 422CTS-  (In )
=========================================================
Note: RS422/485 port have fully isolated ground reference with other RS232
      port.

A-5: JP1 & JP4 & JP5 & JP6 Pin assignment in P514 card.
JP1      JP4 & JP5 & JP6             JP4 & JP5 & JP6     JP1
                        +----------+
TXD-      DCD           |   1    2 |   RTS-             DSR
RXD+      RXD           +-+ 3    4 |   RTS+             RTS
TXD+      TXD             | 5    6 |   CTS+             CTS
RXD-      DTR           +-+ 7    8 |   CTS-             RI
GND       GND           |   9   10 |   N.C.             N.C.
                        +----------+
NOTE: JP1 is RS422/485 interface for PORT D.
      JP4 & JP5 & JP6 is RS232 interface for PORT C & B & A.

                        ---10---

                        Appendix B
                RS422/485 Isolated port user guide

  Port D in P514 card and Port H in P518 card is RS422/485 interface. This
port is fully isolated ground reference with other RS232 port. User can set
this port to be RS422 interface or RS485 interface by DIP switch bit 4.
When this bit is set to ON will let this port have RS422 interface. In this
mode we can have RTS/CTS hardware flow control handshake capability.

  Local RS422 in P514/518 card          remote RS422 DTE device
        TXD+ ---------------------------------> RXD+
        TXD- ---------------------------------> RXD-
        RXD+ <--------------------------------- TXD+
        RXD- <--------------------------------- TXD-
        RTS+ ---------------------------------> CTS+
        RTS- ---------------------------------> CTS-
        CTS+ <--------------------------------- RTS+
        CTS- <--------------------------------- RTS-

  When this DIP switch bit is set to OFF will let this port have RS485
interface. In this mode we will disable the input data in data transmit out
duration automatically. So user can control the data send/receive operation
very easily. Because we do not have data echo problem in traditional RS485
interface. In traditional RS485 port user may need to use RTS pin to enable
data transmission and disable the data receiver. But it is not easy for us
to use RTS signal in NT/95/98 system to have this function. So we need to
remove the echo problem in NT/95/98 system. That is why we let our P514 and
P518 card's RS485 interface have echo cancellation function.

  But user still need to have one architecture in software protocol to
confirm that there are half-duplex operation in RS485 interface. If user can
not promise this protocol, we may have data transmission confliction in
RS485 interface. This may generate un-predictable result.

  The other thing need to keep in mind is terminator resistor. In RS422
interface we may always have terminator resistor on the signal line. But
in RS485 interface we may just put this terminator resistor in the terminated
device. So we have JP1 & JP2 in P518 card and JP2 & JP3 in P514 card to let
user to turn on the terminator resistor or not.

  When user need to use in RS485 mode, they may let the TXD and RXD signal
line to be shorted. Then they can connect this twist pair cable with other
RS485 device.

  In RS422 and RS485 interface user may need to confirm the plus and minus
signal pin definition are same for different device. In P514/P518 card we
have TXD signal from controller chip to be buffered to plus signal line and
inverted to minus signal line. But some other device may have different
definition. Then the signal to controller may be inverted. This will have
wrong data received and break condition happened.

  Local RS485 in P514/518     RS485 DTE device     Remote RS485 in P514/518
        TXD+ -----+-------------- TRXD+ --------------+------- TXD+
                  |                                   |
        RXD+ -----+                                   +------- RXD+
        TXD- -----+-------------- TRXD- --------------+------- TXD-
                  |                                   |
        RXD- -----+                                   +------- RXD-
